cURL
curl --request POST \
--url https://gateway.7exchange.io/customer/1.0.0/organization/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--data '
{
"countryOfCorporation": "<string>",
"countryCode": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"legalName": "<string>",
"isTradingNameExist": true,
"saveAsRegisteredAddress": true,
"tradingName": "<string>",
"industryType": "<string>",
"sourceOfIncomingFund": "<string>",
"purposeOfAccount": "<string>",
"expectedAnnualActivityOfPlatform": "<string>",
"registrationNumber": "<string>",
"taxIdentificationNumber": "<string>",
"taxRegistrationNumber": 123,
"dateOfIncorporation": "<string>",
"businessType": "<string>",
"website": "<string>",
"businessSector": "<string>",
"rangeOfServicesOrGoods": "<string>"
}
'import requests
url = "https://gateway.7exchange.io/customer/1.0.0/organization/create"
payload = {
"countryOfCorporation": "<string>",
"countryCode": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"legalName": "<string>",
"isTradingNameExist": True,
"saveAsRegisteredAddress": True,
"tradingName": "<string>",
"industryType": "<string>",
"sourceOfIncomingFund": "<string>",
"purposeOfAccount": "<string>",
"expectedAnnualActivityOfPlatform": "<string>",
"registrationNumber": "<string>",
"taxIdentificationNumber": "<string>",
"taxRegistrationNumber": 123,
"dateOfIncorporation": "<string>",
"businessType": "<string>",
"website": "<string>",
"businessSector": "<string>",
"rangeOfServicesOrGoods": "<string>"
}
headers = {
"tenantId": "<tenantid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenantId: '<tenantid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
countryOfCorporation: '<string>',
countryCode: '<string>',
email: '<string>',
phoneNumber: '<string>',
legalName: '<string>',
isTradingNameExist: true,
saveAsRegisteredAddress: true,
tradingName: '<string>',
industryType: '<string>',
sourceOfIncomingFund: '<string>',
purposeOfAccount: '<string>',
expectedAnnualActivityOfPlatform: '<string>',
registrationNumber: '<string>',
taxIdentificationNumber: '<string>',
taxRegistrationNumber: 123,
dateOfIncorporation: '<string>',
businessType: '<string>',
website: '<string>',
businessSector: '<string>',
rangeOfServicesOrGoods: '<string>'
})
};
fetch('https://gateway.7exchange.io/customer/1.0.0/organization/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reason": "<string>",
"path": "<string>",
"method": "<string>",
"message": "<string>",
"timestamp": "<string>",
"status": 123
}"<unknown>"Organization
Create Organization
POST
/
organization
/
create
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Body
application/json
⌘I

